Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Interface TriggerListener

All Known Implementing Classes:
  FilterAndBroadcastTriggerListener, LoggingTriggerHistoryPlugin, TriggerListenerSupport

    public interface TriggerListener

The interface to be implemented by classes that want to be informed when a ``Trigger`` fires.

Author:
  James House
See Also:
  `Scheduler`, `Trigger`, `JobListener`, `JobExecutionContext`

Method Summary
`String` | `getName()` Get the name of the `TriggerListener`.
`void` | `triggerComplete(Trigger trigger, JobExecutionContext context, int triggerInstructionCode)` Called by the ``Scheduler`` when a ``Trigger`` has fired, it's associated ``JobDetail`` has been executed, and it's `triggered(xx)` method has been called.
`void` | `triggerFired(Trigger trigger, JobExecutionContext context)` Called by the ``Scheduler`` when a ``Trigger`` has fired, and it's associated ``JobDetail`` is about to be executed.
`void` | `triggerMisfired(Trigger trigger)` Called by the ``Scheduler`` when a ``Trigger`` has misfired.
`boolean` | `vetoJobExecution(Trigger trigger, JobExecutionContext context)` Called by the ``Scheduler`` when a ``Trigger`` has fired, and it's associated ``JobDetail`` is about to be executed.

Method Detail

### getName

    String getName()

  Get the name of the `TriggerListener`.

### triggerFired

    void triggerFired(Trigger trigger,
                      JobExecutionContext context)

  Called by the ``Scheduler`` when a ``Trigger`` has fired, and it's associated ``JobDetail`` is about to be executed.

  It is called before the `vetoJobExecution(..)` method of this interface.

  Parameters:
    `trigger` - The `Trigger` that has fired.
    `context` - The `JobExecutionContext` that will be passed to the `Job`'s`execute(xx)` method.

### vetoJobExecution

    boolean vetoJobExecution(Trigger trigger,
                             JobExecutionContext context)

  Called by the ``Scheduler`` when a ``Trigger`` has fired, and it's associated ``JobDetail`` is about to be executed.

  It is called after the `triggerFired(..)` method of this interface.

  Parameters:
    `trigger` - The `Trigger` that has fired.
    `context` - The `JobExecutionContext` that will be passed to the `Job`'s`execute(xx)` method.

### triggerMisfired

    void triggerMisfired(Trigger trigger)

  Called by the ``Scheduler`` when a ``Trigger`` has misfired.

  Consideration should be given to how much time is spent in this method, as it will affect all triggers that are misfiring. If you have lots of triggers misfiring at once, it could be an issue it this method does a lot.

  Parameters:
    `trigger` - The `Trigger` that has misfired.

### triggerComplete

    void triggerComplete(Trigger trigger,
                         JobExecutionContext context,
                         int triggerInstructionCode)

  Called by the ``Scheduler`` when a ``Trigger`` has fired, it's associated ``JobDetail`` has been executed, and it's `triggered(xx)` method has been called.

  Parameters:
    `trigger` - The `Trigger` that was fired.
    `context` - The `JobExecutionContext` that was passed to the `Job`'s`execute(xx)` method.
    `triggerInstructionCode` - the result of the call on the `Trigger`'s`triggered(xx)` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.